Bug 1263460 - Add static libraries: mingw[32/64]-SDL2-static
Add static libraries: mingw[32/64]-SDL2-static
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mingw-SDL2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 16:30 EDT by maarten
Modified: 2016-09-20 12:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add static libraries of mingw-SDL2 Reason: A statically built SDL2 application is useful for easy distribution.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-20 12:11:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add static library to mingw-SDL2 (3.00 KB, application/mbox)
2015-09-15 16:30 EDT, maarten
no flags Details

  None (edit)
Description maarten 2015-09-15 16:30:34 EDT
Created attachment 1073862 [details]
Add static library to mingw-SDL2

Description of problem:

There is no package with the complete static mingw-SDL2 library.
Only the .dll.a version is provided.

Version-Release number of selected component (if applicable):
(all)

How reproducible:
cat >test.c <<EOF
#include <SDL2/SDL.h>
int WinMain(int argc, char **argv)
{
SDL_Init(SDL_INIT_VIDEO);
SDL_Quit();
return 0;
}
EOF
x86_64-w64-mingw32-gcc test.c -static -lmingw32 -lSDL2main -lSDL2 -lm -ldinput8 -ldxguid -ldxerr8 -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lshell32 -lversion -luuid
wine a.exe

Steps to Reproduce:
1. Write a Windows application
2. Compile and link with the flags mentioned above
3. Linker complains: cannot find -lSDL2

Actual results:
/usr/lib/gcc/x86_64-w64-mingw32/5.1.0/../../../../x86_64-w64-mingw32/bin/ld: cannot find -lSDL2

Expected results:
The test program links successfully.
The application a.exe does not need SDL2.dll.

Additional info:
Patch attached

When installing the generated rpms, the program above compiles and runs fine (without any need of a dll).
Comment 1 Fedora Update System 2015-09-18 15:58:38 EDT
mingw-SDL2-2.0.3-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16186
Comment 2 Fedora Update System 2015-09-18 16:01:31 EDT
mingw-SDL2-2.0.3-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16187
Comment 3 Marcel Wysocki 2015-09-18 16:04:26 EDT
Thanks for submitting the patch.

Please test and give karma. :)
Comment 4 Fedora Update System 2015-09-20 10:58:05 EDT
mingw-SDL2-2.0.3-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-SDL2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16187
Comment 5 Fedora Update System 2015-09-20 12:50:11 EDT
mingw-SDL2-2.0.3-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-SDL2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16186
Comment 6 Jan Kurik 2016-02-24 08:45:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Fedora Admin XMLRPC Client 2016-03-04 12:32:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2016-04-13 07:20:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 maarten 2016-09-20 12:11:29 EDT
A static mingw SDL2 library is available and the source code in the initial bug report compiles and runs correctly.

Note You need to log in before you can comment on or make changes to this bug.